.p-checkout-header {
	border-top: 1px solid #f0f1f5;
	margin-top: 28px;
	padding-top: 65px;

	@media (--mobile) {;
		padding: * 20px;
	}
}

.p-checkout-header-row {
	clear: fix;

	&:not(:last-child) {
		margin-bottom: 30px;
	}
}

.p-checkout-header-social-auth {
	float: left;
	width: 205px;
	margin-right: 35px;

	& strong {
		font-weight: normal;
		font-size: 14px;
		line-height: 14px;
		display: block;
		margin-bottom: 10px;
	}

	& a {
		display: block;
		float: left;
		size: 40px;
		border: 1px solid #dcdcdc;
		position: relative;

		&:not(:last-child) {
			margin-right: 15px;
		}

		& svg {
			max-width: 90%;
			position: absolute 50% * * 50%;
			transform: translate(-50%, -50%);
		}
	}
}

.p-pay-header-promo {
	float: left;
	size: 200px 40px;
	margin-top: 24px;
	position: relative;

	& input {
		display: block;
		size: 100%;
		line-height: 40px;
		padding: 0 15px;
		border: 1px solid #dcdcdc;
		border-radius: 2px;
		outline: 0;
	}

	& button {
		position: absolute 0 0 * *;
		size: 40px;
		border: 1px solid #dcdcdc;
		background-repeat: no-repeat;
		background-position: center center;
		background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAsAAAAHCAYAAADebrddAAAATElEQVQYlWNmwA02MjAwPGdgYHiIRw0cRDMwMHxhYGBwJkYxAwMDQwUDA8M3BgYGD5jAfyLwJwYGBgFCJhdDTXanmpsZGSChYYssCAC0OBPv1jvNCQAAAABJRU5ErkJggg==);
	}
}

.p-checkout-payer-type {
	border-bottom: 1px solid #dcdcdc;
	padding-bottom: 30px;

	& .p-checkout-header-row {
		position: relative;
		overflow: hidden;
		width: 360px;

		@media (--mobile) {
			width: 100%;
		}
	}

	& .label {
		float: left;
		width: 100%;
		font-weight: 400;
		font-size: 14px;
		margin-bottom: 10px;
	}

	& input {
		opacity: 0;
		position: absolute -100% * * -100%;
	}

	& label {
		float: left;
		size: 50% 40px;
		border: 1px solid #dcdcdc;
		line-height: 38px;
		text-align: center;
		font-size: 14px;
		color: #808080;
		cursor: pointer;
		transition: background-color .3s ease 0s, color .3s ease 0s;

		&:first-of-type {
			border-right: 0;
		}

		&:hover {
			background-color: #dcdcdc;
			color: #333333;
		}
	}

	& input:checked + label {
		background-color: #dcdcdc;
		color: #333333;
	}
}

.p-checkout-controls {
	padding-bottom: 30px;
	border-bottom: 1px solid #dcdcdc;

	& .m-fieldset {
		margin-top: 30px;

		@media (--mobile) {
			width: 100%;
		}
	}

	@media (--mobile) {
		padding: * 20px;
	}
}

.p-checkout-footer {
	clear: fix;
  margin-top: 30px;

	@media (--mobile) {
		padding: * 20px;
	}

	& h3 {
		margin: 0;
		float: left;
		color: #1c1c1c;
		font-size: 21px;
		line-height: 40px;
		font-weight: normal;

		& strong {
			font-weight: bold;
			white-space: nowrap;
		}

		@media (--tablet-vertical-only) {
			max-width: 300px;
			line-height: 25px;
		}

		@media (--mobile) {
			line-height: 25px;
			margin-bottom: 10px;
			float: none;
		}
	}

	& > button {
		float: right;
		size: 159px 40px;
		border-radius: 2px;
		background-color: var(--color-main);
		text: #ffffff 800 14px 40px;
		transition: background-color .3s ease 0s;

		&:hover {
			background-color: var(--color-dark);
		}

		@media (--mobile) {
			float: none;
			width: 100%;
			margin-bottom: 10px;
		}
	}

	& .p-pay-header-promo {
		float: right;
		margin-top: 0;
		margin-right: 10px;

		@media (--mobile) {
			float: none;
			width: 100%;
			margin-bottom: 10px;
		}
	}
}

.p-checkout-list {
  margin-top: 50px;


	@media (--mobile) {
		padding: * 20px;
	}

  & > header {
    clear: fix;
    padding-bottom: 10px;
    border-bottom: 1px solid #dcdcdc;

    & span {
      float: left;
      font-size: 14px;
      color: #1c1c1c;
      line-height: 11px;
      font-weight: 500;

      &:first-child {
        width: 400px;

				@media (--tablet-vertical-only) {
					width: 290px;
				}
      }

      &:nth-child(2) {
        width: 200px;

				@media (--tablet-vertical-only) {
					width: 160px;
				}
      }
    }

		@media (--mobile) {
			display: none;
		}
  }

  & > ul {
    margin: 0;
    padding: 0;
    list-style: none;

    & li {
      height: 155px;
      position: relative;
      clear: fix;
      border-bottom: 1px solid #dcdcdc;
      display: flex;
      align-items: center;

			@media (--mobile) {
				display: block;
				height: auto;
			}
    }

    & figure {
      display: flex;
      size: 130px 100%;
      align-items: center;

      & img {
        max-height: 80%;
      }

			@media (--mobile) {
				width: 100%;
				height: 160px;
				justify-content: center;
			}
    }

    & section {
      width: 270px;

			@media (--tablet-vertical-only) {
				width: 170px;
			}

			@media (--mobile) {
				width: 100%;
				text-align: center;
				margin-bottom: 10px;
			}

      & h4 {
        font-size: 21px;
        line-height: 21px;
        color: #1c1c1c;
        margin: 0 0 15px;
      }

      & a {
        text-decoration: none;
        font-weight: bold;
        color: #2893e0;
        font-size: 14px;
      }
    }

    & fieldset {
      width: 110px;
      margin-right: 90px;

			@media (--tablet-vertical-only) {
				margin-right: 40px;
			}

			@media (--mobile) {
				width: 50%;
				float: left;
				margin-right: 0;
				padding-right: 10px;
			}
    }

    & h2 {
      font-size: 21px;
      font-weight: bold;
      line-height: 21px;
      margin: 0;

			@media (--mobile) {
				float: left;
				width: 50%;
				line-height: 40px;
				text-align: right;
			}
    }

    & .buttons {
      display: flex;
      justify-content: flex-end;
      flex-grow: 2;

      & .set-aside {
        font-weight: bold;
        outline: 0;
        color: #a9a9a9;
        font-size: 14px;
        line-height: 14px;
      }

      & .remove {
        size: 16px;
        outline: 0;
        margin-left: 10px;
        background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAMAAAAoLQ9TAAAAWlBMVEXc3Nzc3Nzc3Nzc3Nzc3Nzc3Nzc3Nzc3Nzc3Nzc3Nzc3Nzc3Nzc3Nzc3Nzc3Nzc3Nzc3Nzc3Nzc3Nzc3Nzc3Nzc3Nzc3Nzc3Nzc3Nzc3Nzc3Nzc3Nzc3Nzc3NyRBixFAAAAHXRSTlMAAQYPHh8nOkBIVldYWX+Ah4yPra7Gx8ja3un1/Arge3QAAABgSURBVHgBVchpEgEwEEThJvYQCwkhff9rUlNTPfH+fQ/LjGi1A+4s4f7Z4jRYZD4TcLQT1pH9yH5unU0G8uCfsX6Tl9mdr8Hz7JZyHDPgx1x/1pGBg50q29lj83DbuS6+kUIIwAyagXcAAAAASUVORK5CYII=);
        background-repeat: no-repeat;
        background-position: center center;
      }

			@media (--mobile) {
				float: left;
				width: 100%;
				clear: both;
				margin-top: 10px;
				display: block;

				& .set-aside {
					width: 100%;
					height: 40px;
					line-height: 38px;
					display: block;
					border: 1px solid #dcdcdc;
					margin-bottom: 10px;
				}

				& .remove {
					width: 100%;
					height: 40px;
					line-height: 38px;
					display: block;
					border: 1px solid #dcdcdc;
					margin-bottom: 10px;
					margin-left: 0;
					background-image: none;

					&::before {
						content: 'Удалить';
						color: #a9a9a9;
						font-weight: bold;
						outline: 0;
						color: #a9a9a9;
						font-size: 14px;
						line-height: 14px;
					}
				}
			}
    }
  }
}

.p-checkout-payment-method {
	padding: 30px 0 0;

	@media (--mobile) {
		padding: * 20px;
		border-bottom: 1px solid #dcdcdc;
	}

	& h2 {
		margin: 0 0 35px;
		font-weight: 500;
		font-size: 14px;
		color: #1c1c1c;
	}

	& ul {
		margin: 0;
		padding: 0;
		clear: fix;
		list-style: none;
	}

	& li {
		size: 160px 100px;
		border-radius: 2px;
		float: left;
		position: relative;
		margin-bottom: 30px;

		@media (--desktop-min) {
			&:not(:last-child) {
				margin-right: 40px;
			}
		}

		@media (--tablet-horizontal-only) {
			width: 280px;

			&:not(:nth-child(3n)) {
				margin-right: 40px;
			}
		}

		@media (--tablet-vertical-only) {
			width: 200px;

			&:not(:nth-child(3n)) {
				margin-right: 40px;
			}
		}

		@media (--mobile) {
			float: none;
			width: 100%;
		}
	}

	& input {
		position: absolute -100% * * -100%;
		opacity: 0;
	}

	& label {
		size: 100%;
		cursor: pointer;
		display: flex;
		justify-content: center;
		align-items: center;
		transition: border-color .3s ease 0s;
		will-change: border-color;
		overflow: hidden;
		border: 1px solid #dcdcdc;

		&:hover {
			border-color: #2893e0;
		}

		& img {
			max-width: 80%;
			max-height: 80%;
		}
	}

	& input:checked + label {
		border-color: #2893e0;
	}

	& p {
		clear: both;
		float: left;
		width: 100%;
		margin: 0;
		color: #2e2e2e;
		font-size: 14px;
		line-height: 20px;

		& strong {
			display: block;
		}

		@media (--mobile) {
			margin-bottom: 10px;
		}
	}
}
